import { jsx } from "react/jsx-runtime";
import { HeadCircuitIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const HeadCircuit = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "HeadCircuit", ...props, children: /* @__PURE__ */ jsx(HeadCircuitIcon, { weight: variant }) });
  }
);
HeadCircuit.displayName = "HeadCircuit";
Object.assign(HeadCircuit, { isGdsIcon: true });
export {
  HeadCircuit
};
